Skip to main content
GET
/
pipelines
/
{name}
Get a pipeline
curl --request GET \
  --url https://api.goldsky.com/api/v1/pipelines/{name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "type": "<string>",
  "status": "RUNNING",
  "definition": {
    "sources": {},
    "transforms": {},
    "sinks": {},
    "description": "<string>",
    "resource_size": "<string>",
    "use_dedicated_ip": true,
    "job": true
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "resource_size": "<string>",
  "version": 123,
  "project_id": "<string>"
}

Authorizations

Authorization
string
header
required

API token generated from the Goldsky Dashboard. Pass as: Authorization: Bearer

Path Parameters

name
string
required

Response

200 - application/json

Default Response

name
string
required
type
string
required
status
required
Available options:
RUNNING
definition
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
resource_size
string
version
number
project_id
string